> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reconciliation Discrepancy

> Generate a Reconciliation Discrepancy Report, using the specific parameters



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox post /v5/reports/reconciliationDiscrepancy
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/reports/reconciliationDiscrepancy:
    post:
      tags:
        - Reports
      summary: Reconciliation Discrepancy
      description: >-
        Generate a Reconciliation Discrepancy Report, using the specific
        parameters
      operationId: postReconciliationDiscrepancy
      requestBody:
        content:
          '*/*':
            schema:
              $ref: '#/components/schemas/ReconciliationDiscrepancyReportParam'
        required: true
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ReconciliationDiscrepancyReportRetVal'
      security:
        - accessTokenSecurity: []
components:
  schemas:
    ReconciliationDiscrepancyReportParam:
      required:
        - bankAccountId
        - endDate
      type: object
      properties:
        beginDate:
          type: string
          description: Begin date for the report.
          format: date
          example: '2023-01-01'
        endDate:
          type: string
          description: >-
            End date for the report. All bank reconciliations ending before this
            date will be included in the report.
          format: date
          example: '2023-12-31'
        bankAccountId:
          type: integer
          description: Id of the bank account to report reconciliation discrepancies for
          format: int64
        exportType:
          type: string
          enum:
            - HTML
            - PDF
            - XLS
            - JSON
            - XLSX
            - CSV
            - LLM
        type:
          type: string
          enum:
            - CLOUD_STORAGE
            - EMAIL
            - VIEW
    ReconciliationDiscrepancyReportRetVal:
      type: object
      properties:
        result:
          type: string
          description: Result of the action performed
          enum:
            - SUCCESS
            - FAILURE_VALIDATION_ERROR
            - FAILURE_NO_DATA
            - FAILURE_UNKNOWN_ERROR
            - FAILURE_PDF_CONVERSION_UNAVAILABLE
        errors:
          $ref: '#/components/schemas/ValidationRetVal'
        meta:
          $ref: '#/components/schemas/ReconciliationDiscrepancyReportMeta'
        json:
          $ref: '#/components/schemas/ReconciliationDiscrepancyJsonDTO'
        url:
          type: string
          description: Url at which the downloadable report is located
    ValidationRetVal:
      type: object
      properties:
        fieldErrors:
          type: object
          additionalProperties:
            $ref: '#/components/schemas/ValidationError'
          description: Map of field-level errors, often originating from validation errors
        globalErrors:
          type: array
          description: List of higher-level errors
          items:
            $ref: '#/components/schemas/ValidationError'
      description: Error object containing details errors incurred, if any
    ReconciliationDiscrepancyReportMeta:
      type: object
      properties:
        title:
          type: string
        businesses:
          type: array
          items:
            type: string
        generatedOn:
          type: string
          format: date-time
        generatedBy:
          type: string
        footerLine:
          type: string
        params:
          $ref: '#/components/schemas/ReconciliationDiscrepancyReportParam'
      description: Metadata associated with the report generated
    ReconciliationDiscrepancyJsonDTO:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ReconciliationDiscrepancyReportDTO'
    ValidationError:
      type: object
      properties:
        type:
          type: string
          description: A broad categorization of the error
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
        errorMessage:
          type: string
          description: Human-friendly message describing this error
        message:
          type: string
          writeOnly: true
          enum:
            - DUPLICATE
            - REQUIRED
            - DELETE
            - INVALID_VALUE
            - NOT_MODIFIABLE
            - GENERAL
            - INVALID_FORMAT
            - INVALID_MAPPING
      description: List of higher-level errors
    ReconciliationDiscrepancyReportDTO:
      type: object
      properties:
        discrepantTransactions:
          type: array
          items:
            $ref: '#/components/schemas/DiscrepantTransactionDTO'
        transactions:
          type: array
          items:
            $ref: '#/components/schemas/DiscrepantTransactionDTO'
        beginDate:
          type: string
          format: date-time
        endDate:
          type: string
          format: date-time
        completedDate:
          type: string
          format: date-time
        endBalance:
          type: number
        status:
          type: string
          enum:
            - IN_PROGRESS
            - INACTIVE
            - DELETED
            - COMPLETED
            - DISCREPANCY
            - PENDING
            - STAGED
        closingId:
          type: integer
          description: Id of the bank reconciliation that has discrepancies
          format: int64
        bankAccountId:
          type: integer
          format: int64
        bankAccountName:
          type: string
        bankAccountNo:
          type: string
    DiscrepantTransactionDTO:
      type: object
      properties:
        entity:
          type: string
          description: The Tight entity from which this transaction is sourced
          enum:
            - EXPENSE
            - REVENUE
            - BANK_TRANSFER
            - TAX_PAYMENT
            - INVOICE_PAYMENT
        entityId:
          type: integer
          description: Id of the Tight entity from which this transaction is sourced
          format: int64
        date:
          type: string
          description: Date of the transaction
          format: date-time
        bankDescription:
          type: string
          description: >-
            Transaction description, similar to what will show on the user's
            bank statement
        amount:
          type: number
          description: Current amount of the transaction
        status:
          type: string
          description: Status of the transaction
          enum:
            - ACTIVE
            - INACTIVE
        reviewStatus:
          type: string
          description: Review status of the transaction
          enum:
            - PARTNER_REVIEW_REQUIRED
            - USER_REVIEW_REQUIRED
            - ACCOUNTANT_REVIEW_REQUIRED
            - RECONCILIATION_STAGED
            - RECONCILED
            - RECONCILIATION_DISCREPANCY
            - ADJUSTMENT_USER_REVIEW_REQUIRED
            - ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED
            - ADJUSTMENT_RECONCILIATION_STAGED
        lastChangedDate:
          type: string
          description: Date the transaction was last changed
          format: date-time
        reconciledAmount:
          type: number
          description: Amount of the transaction at time of reconciliation
        difference:
          type: number
          description: >-
            Difference between the reconciled amount and the current amount of
            the transaction. This difference must be resolved to reconcile the
            bank account.
        reconciledStatus:
          type: string
          description: Status of the transaction at time of reconciliation
          enum:
            - ACTIVE
            - INACTIVE
        reconciledDate:
          type: string
          description: Date of the transaction at time of reconciliation
          format: date-time
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````